package com.bocloud.cmp.model.h3c;

import java.util.Date;

public class H3cAlarmModel {
    /**
     * 告警管理id。
     * 长整数（long）类型。
     */
    private Long id;
    /**
     * 告警状态。
     * 整数（int）类型。枚举值：1 确认 2 未确认
     */
    private Integer state;
    /**
     * 告警级别。
     * 整数（int）类型。枚举值：1 紧急 2重要 3 次要 4 警告
     */
    private Integer eventLevel;
    /**
     * 告警类型;。
     * 整数（int）类型。枚举值：20主机，30云主机，40集群， 51云主机管理软件
     */
    private Integer eventType;
    /**
     * 告警名称;。
     * 字符串（String）类型。
     */
    private String eventName;
    /**
     * 告警时间;。
     * 日期（Date）类型。
     */
    private Date eventTime;
    /**
     * 告警信息描述;。
     * 字符串（String）类型。
     */
    private String eventDesc;
    /**
     * 告警来源;。
     * 字符串（String）类型。
     */
    private String eventSrc;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getEventLevel() {
        return eventLevel;
    }

    public void setEventLevel(Integer eventLevel) {
        this.eventLevel = eventLevel;
    }

    public Integer getEventType() {
        return eventType;
    }

    public void setEventType(Integer eventType) {
        this.eventType = eventType;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public Date getEventTime() {
        return eventTime;
    }

    public void setEventTime(Date eventTime) {
        this.eventTime = eventTime;
    }

    public String getEventDesc() {
        return eventDesc;
    }

    public void setEventDesc(String eventDesc) {
        this.eventDesc = eventDesc;
    }

    public String getEventSrc() {
        return eventSrc;
    }

    public void setEventSrc(String eventSrc) {
        this.eventSrc = eventSrc;
    }
}
